# Package

bin           = @["strawboss"]
version       = "0.2.0"
author        = "Jonathan Bernard"
description   = "My personal continious integration worker."
license       = "MIT"
srcDir        = "src/main/nim"

# Dependencies

requires @["nim >= 0.16.1", "docopt >= 0.6.5", "isaac >= 0.1.2", "tempfile", "jester", "bcrypt",
           "untar", "uuids"]

requires "https://github.com/yglukhov/nim-jwt"
requires "https://git.jdb-labs.com/jdb/nim-lang-utils.git"
requires "https://git.jdb-labs.com/jdb/nim-cli-utils.git >= 0.3.1"

# Tasks
#
task functest, "Runs the functional test suite.":
  exec "nimble build"
  exec "nim c -r src/test/nim/run_functional_tests.nim"

task unittest, "Runs the unit test suite.":
  exec "nimble build"
  exec "nim c -r src/test/nim/run_unit_tests.nim"
